//
//  HHTwoLineViewController.swift
//  HHPullDownMenu
//
//  Created by SunnyMac on 16/10/27.
//  Copyright © 2016年 hjl. All rights reserved.
//

import UIKit

class HHTwoLineViewController: BaseViewController {

    @IBOutlet weak var leftTableView: UITableView!
    
    @IBOutlet weak var rightTableView: UITableView!
    
    fileprivate var newData : [String] = [String]()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        self.leftTableView.reloadData()
        self.rightTableView.reloadData()
        
        newData = data[0] as! [String]
    }
}


extension HHTwoLineViewController : UITableViewDataSource, UITableViewDelegate {
    
    func numberOfSections(in tableView: UITableView) -> Int {
        return 1
    }
    
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        if tableView == leftTableView {
            return data.count
        } else {
            return newData.count - 1
        }
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        
        var cell = tableView.dequeueReusableCell(withIdentifier: "leftTableViewCell")
        if cell == nil {
            cell = UITableViewCell.init(style: .default, reuseIdentifier: "leftTableViewCell")
        }
        
        if tableView == leftTableView {
            
            let arr : [String] = self.data[indexPath.row] as! [String]
            
            cell?.textLabel?.text = arr[0]
            
        } else {

            cell?.textLabel?.text = newData[indexPath.row + 1]
        }
        return cell!
    }
    
    func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
        
        let index = indexPath.row
        
        print(self.listNumber, index)
        
        // 点击左侧的tableview
        if tableView == leftTableView {
            // 更新数据
            newData = data[index] as! [String]
            // 刷新右边
            self.rightTableView.reloadData()
        }
        
    }
}
